Method: projects.locations.tcpRoutes.list

列出指定專案和位置中的 TcpRoute。

HTTP 要求

GET https://networkservices.googleapis.com/v1/{parent=projects/*/locations/*}/tcpRoutes

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
parent

string

這是必要旗標,應列出 TcpRoutes 的專案和位置,格式為 projects/*/locations/global

授權需要指定資源 parent 的下列 IAM 權限:

  • networkservices.tcpRoutes.list

查詢參數

參數
pageSize

integer

每次呼叫要傳回的 TcpRoute 數量上限。

pageToken

string

最後一個 ListTcpRoutesResponse 傳回的值表示這是先前 tcpRoutes.list 呼叫的延續,且系統應傳回下一頁資料。

returnPartialSuccess

boolean

(選用步驟) 如果為 true,允許多區域匯總清單要求的部分回應。否則,如果其中一個位置發生故障或無法連線,匯總清單要求就會失敗。

要求主體

要求主體必須為空白。

回應主體

tcpRoutes.list 方法傳回的回應。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "tcpRoutes": [
    {
      object (TcpRoute)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
欄位
tcpRoutes[]

object (TcpRoute)

TcpRoute 資源清單。

nextPageToken

string

如果可能還有其他結果,則會納入 nextPageToken。如要取得下一組結果,請再次呼叫這個方法,並將 nextPageToken 的值做為 pageToken

unreachable[]

string

無法連線的資源。當要求選擇加入 returnPartialSuccess 並跨集合讀取時 (例如嘗試列出所有支援地點的所有資源),系統會填入這個欄位。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform

詳情請參閱Authentication Overview